# `BB.Error.Invalid.Topology`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/invalid/topology.ex#L5)

Robot topology configuration error.

Raised during DSL compilation when the robot topology is invalid
(e.g., circular references, missing links, invalid joint types).

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Topology{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  location: term(),
  message: term(),
  module: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Invalid.Topology` without raising it.

## Keys

- :module
- :location
- :message

---

*Consult [api-reference.md](api-reference.md) for complete listing*
